/**
 * 
 */
package explorer;

/**
 * The class represent a 2D coordinate (x,y)
 * @author andreamonaldini
 *
 */
public class CoordinateXY {
	private int x;
	private int y;

	/**
	 * Creates am (X,Y) coordinate
	 * @param x The X coordinate
	 * @param y	The Y coordinate
	 */
	public CoordinateXY(int x, int y) {
		super();
		this.x = x;
		this.y = y;
	}

	/**
	 * Returns the x.
	 * @return Returns the x.
	 */
	public int getX() {
		return x;
	}

	/**
	 * Sets the x.
	 * @param x The x to set.
	 */
	public void setX(int x) {
		this.x = x;
	}

	/**
	 * Returns the y.
	 * @return Returns the y.
	 */
	public int getY() {
		return y;
	}

	/**
	 * Sets the y.
	 * @param y The y to set.
	 */
	public void setY(int y) {
		this.y = y;
	}
	

}
