
findPath(A,B,Path) :- route(A,B,[A],Q), reverse(Q,Path).

route(A,B,P,[B|P]) :- link(A,B),!.
route(A,B,Visited,Path) :- link(A,C), not(member(C,Visited)), route(C,B,[C|Visited],Path).

link(Cell1,Cell2):-
	fromCell(Cell1,[-1,0],Cell2);
	fromCell(Cell1,[1,0],Cell2);
	fromCell(Cell1,[0,-1],Cell2);
	fromCell(Cell1,[0,1],Cell2).
	
fromCell(cell(X,Y),[Xoffset,Yoffset],cell(X1,Y1)):-
	X1 is X + Xoffset,
	Y1 is Y + Yoffset,
	cell(X1,Y1).